<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_7</title>
</head>
<body>
    <h1>Ejercicio 7</h1>

<script>

const articulos = (art) => {
    switch (art) {
        case 1:
            console.log("Articulo: Lapiz");
            var unid = prompt(`Ingrese las unidades a comprar`),
            unidades = Number.parseInt(unid),
            precioArt = 4;
            factura(unidades, precioArt);
        break;
        case 2:
            console.log("Articulo: Pluma");
            var unid = prompt(`Ingrese las unidades a comprar`),
            unidades = Number.parseInt(unid),
            precioArt = 6;
            factura(unidades, precioArt);
            break;
        case 3:
            console.log("Articulo: Goma");
            var unid = prompt(`Ingrese las unidades a comprar`),
            unidades = Number.parseInt(unid),
            precioArt = 3;
            factura(unidades, precioArt);
            break;
        case 4:
            console.log("Articulo: Juego de Geometria");
            var unid = prompt(`Ingrese las unidades a comprar`),
            unidades = Number.parseInt(unid),
            precioArt = 10;
            factura(unidades, precioArt);
            break;
        default:
            console.log('No tenemos disponible mas articulos');
    }
}

const factura = ( unidades, precioArt) => {
    let compra = precioArt * unidades,
    ivaCompra = compra * .15,
    artMasIva = compra + ivaCompra;

    if ( artMasIva > 50) {
        var desc5 = artMasIva * .05;
        console.log(`El precio a pagar con 5% de descuento es de: ${artMasIva - desc5}`);  
    } else {
        console.log(`El prescio a pagar sin descuento es de: ${artMasIva}`);  
    }       
}
articulos(1);
</script>
    
</body>
</html>